# Generated by Django 4.0.6 on 2023-12-08 18:10

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Curso',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(max_length=20, unique=True)),
                ('area', models.CharField(choices=[('gti', 'Gestão e Tencologia da Informação'), ('cci', 'Construção Civil'), ('ind', 'Indústria')], max_length=3)),
            ],
        ),
        migrations.CreateModel(
            name='InstituicaoParceira',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(max_length=40, unique=True)),
                ('endereco', models.CharField(max_length=100)),
                ('eh_valida', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='Vagas',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('funcao', models.CharField(max_length=50)),
                ('prerequisitos', models.CharField(max_length=200)),
                ('num_vagas', models.IntegerField(default=1)),
                ('vagas_ocupadas', models.IntegerField(default=0)),
                ('banner', models.ImageField(blank=True, null=True, upload_to='vagas')),
                ('data_pub', models.DateField(auto_now_add=True)),
                ('data_limite', models.DateField(blank=True, null=True)),
                ('validada', models.BooleanField(default=False)),
                ('cursos', models.ManyToManyField(to='vagasifrn.curso')),
                ('instituicao_parceira', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='vagasifrn.instituicaoparceira')),
            ],
        ),
    ]
